// @flow

'use strict';

var esprima = require('esprima-fb');
var Promise = require('bluebird');
var path = require('path');

var readFile = Promise.promisify(require('fs').readFile);

// https://github.com/estree/estree/blob/master/spec.md

readFile(path.join(__dirname, '..', 'test', 'user.js')).then(function (data) {
  var tree = esprima.parse(data.toString(), { tolerant: true });
  //console.log(tree)
  //console.log(tree.body[2])
  //console.log(tree.body[1].right.properties[3])
  var alias = tree.body.filter(function (s) {
    return s.type == 'TypeAlias' && s.id.name == 'User';
  })[0];
  console.log(alias);
});

// TODO pull all top-level type annotations out of the file

////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////

//console.log(tree.body[1].declarations[0].id.typeAnnotation)
// StringTypeAnnotation, NumberTypeAnnotation
// ObjectTypeProperty

// static: any;
// undefined
// undefined

//type Syntax = {
//type: string;
//id: ???;
//declarations: Object;
//}